Package ch.qos.logback.classic.turbo

## Class MatchingFilter

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.classic.turbo.TurboFilter
    - - ch.qos.logback.classic.turbo.MatchingFilter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

Direct Known Subclasses:
  `MarkerFilter`, `MDCFilter`

    public abstract class MatchingFilter
    extends TurboFilter

An abstract class containing support for `onMatch` on `onMismatch` attributes, shared by many but not all turbo filters.

Author:
  Ceki Gulcu

### Field Summary

Fields
`protected FilterReply` `onMatch`
`protected FilterReply` `onMismatch`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`MatchingFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setOnMatch​(java.lang.String action)`
`void` `setOnMismatch​(java.lang.String action)`

### Methods inherited from class ch.qos.logback.classic.turbo.TurboFilter

`decide, getName, isStarted, setName, start, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### onMatch

    protected FilterReply onMatch

#### onMismatch

    protected FilterReply onMismatch

### Constructor Detail

#### MatchingFilter

    public MatchingFilter()

### Method Detail

#### setOnMatch

    public final void setOnMatch​(java.lang.String action)

#### setOnMismatch

    public final void setOnMismatch​(java.lang.String action)